/*
 *      LH.H    defines functions in LEX package
 *              for MSC V4.0
 *              compiled: Jim Kyle, 19 May 1987
 */
/* global in BASE.C */  struct dfa *defalt(struct dfa *,struct xset * *);
/* global in BASE.C */  int compat(struct dfa *,struct dfa *,struct xset *);
/* global in BASE.C */  struct set *chase(struct dfa *,int );
/* global in BASE.C */  int resolve(struct dfa *,struct dfa *,struct xset * *);
/* global in BASE.C */  struct move *stbase(struct xset *);
/* global in BASE.C */  void setbase(struct dfa *,struct move *,struct xset *);
/* global in DFA.C */  void dfabuild(void);
/* global in DFA.C */  void add(struct nfa * *,struct nfa * * *,struct nfa *);
/* global in DFA.C */  struct xset *addset(struct nfa *,struct xset *);
/* global in DFA.C */  struct xset *addxset(int ,struct xset *);
/* global in ECLOSU.C */  struct set *eclosure(struct set *);
/* global in LEX.C */  void main(int ,char * *);
/* global in LEX.C */  void ending(void);
/* global in LEX.C */  void stats(void);
/* global in LEX.C */  void pset(struct set *,int );
/* global in LEX.C */  int chprint(int );
/* global in LEX.C */  struct nfa *newnfa(int ,struct nfa *,struct nfa *);
/* global in LEX.C */  struct dfa *newdfa(void);
/* global in LEX.C */  char *newccl(char *);
/* global in LEX.C */  struct trans *newtrans(struct nfa *,struct nfa *);
/* global in LEX.C */  struct set *newset(struct nfa * *,int ,int );
/* global in LEX.C */  int setcomp(struct nfa * *,struct nfa * *);
/* global in LEX.C */  int eqvec(int *,int *,int );
/* global in LEX.C */  char *lalloc(int ,int ,char *);
/* global in LEX.C */  void error(char *,... );
/* global in LEXSRT.C */  void qsort(char *,int ,int ,int (*)());
/* global in LEXSRT.C */  void q_sort(char *,char *);
/* global in LEXSRT.C */  void q_exc(char *,char *);
/* global in LEXSRT.C */  void q_tex(char *,char *,char *);
/* global in MIN.C */  void dfamin(void);
/* global in OUT1.C */  void dfaprint(void);
/* global in OUT1.C */  void heading(void);
/* global in OUT1.C */  void dfawrite(void);
/* global in OUT1.C */  void dospccl(char *,char *,char *);
/* global in OUT1.C */  void refccl(char *,char *,char *);
/* global in OUT1.C */  void vstart(char *,char *);
/* global in OUT1.C */  void vend(void);
/* global in OUT1.C */  void vel(char *,int );
/* global in OUT2.C */  void nfaprint(struct nfa *,struct nfa *);
/* global in OUT2.C */  void cclprint(char *);
/* global in OUT2.C */  void llactr(void);
/* global in OUT2.C */  void newcase(int );
/* global in OUT2.C */  void setline(void);
/* global in YTAB.C */  void yyactr(int );
/* global in YTAB.C */  int yylex(void);
/* global in YTAB.C */  int cclass(void);
/* global in YTAB.C */  void string(int );
/* global in YTAB.C */  int mapc(int );
/* global in YTAB.C */  void name(int );
/* global in YTAB.C */  struct nfa *elem(int ,... );
/* global in YTAB.C */  struct des *newdp(struct nfa *,struct nfa *);
/* global in YTAB.C */  void action(void);
/* global in YTAB.C */  void skipstr(int );
/* global in YTAB.C */  void copycode(void);
/* global in YTAB.C */  struct nlist *lookup(char *);
/* global in YTAB.C */  void copynfa(struct nlist *,struct nfa *,struct des *);
/* global in YTAB.C */  void copy(char *,char *,int );
/* global in YTAB.C */  void spccl(char *,char *,struct des *,char * *);
/* global in YTAB.C */  int get(void);
/* global in YTAB.C */  void unget(int );
/* global in YTAB.C */  void yyerror(char *,char *);
/* global in YTAB.C */  int yyexcp(int );
/* global in YTAB.C */  int yyparse(void);
